Bug 1288130 - right click on titlebar of gnome terminal when using wayland has issues
right click on titlebar of gnome terminal when using wayland has issues
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wayland (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 10:54 EST by d.webb
Modified: 2016-12-20 11:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:36:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Menu (mouse not show, but was towards close window button) (591.35 KB, image/gif)
2015-12-03 10:54 EST, d.webb
no flags Details

  None (edit)
Description d.webb 2015-12-03 10:54:12 EST
Created attachment 1101839 [details]
Menu (mouse not show, but was towards close window button)

Description of problem:

When right-clicking on the title bar of Gnome Terminal in Wayland the resulting menu only stays up as long as the right button stays depressed, and shows up no where near where you are clicking (I was clicking further right than the menu showed up)

Version-Release number of selected component (if applicable):

$ rpm -qa|grep -ai wayl
libwayland-cursor-1.9.0-1.fc23.x86_64
libwayland-client-1.9.0-1.fc23.x86_64
libwayland-server-1.9.0-1.fc23.i686
xorg-x11-server-Xwayland-1.18.0-2.fc23.x86_64
gnome-session-wayland-session-3.18.1.2-2.fc23.x86_64
libwayland-server-1.9.0-1.fc23.x86_64
ibus-wayland-1.5.11-1.fc23.x86_64
libwayland-client-1.9.0-1.fc23.i686
mesa-libwayland-egl-11.0.6-1.20151122.fc23.x86_64
wayland-debuginfo-1.7.0-1.fc22.x86_64


How reproducible:


Steps to Reproduce:
1. Login using Wayland as the Desktop environment
2. open Gnome Terminal
3. Right click on the title bar

Actual results:

menu appears only for duration of click, in the middle of the title bar

Expected results:

menu appears where you've clicked and stays until dismissed.

Additional info:
Comment 1 Bob Agel 2016-08-08 08:08:23 EDT
Same situation, basic gnome installation of F24.  Right-click to access menu gives a 'stutter' and a drop in the menu as soon as right-click is released or if you attempt to hold it and move to the menu.  Repeated attempts will occasionally cause it to 'stick' and act normally for that use, but will not continue for a repeated use.
Comment 2 Fedora End Of Life 2016-11-24 08:56:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 11:36:24 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.